From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libggimisc/
Date: Sat, 15 Feb 2025 15:58:50 +0000 (UTC) [thread overview]
Message-ID: <1739635079.a8d3cd96f05c3d3b2c297e2eee82d4a4d4e0e98e.sam@gentoo> (raw)
commit: a8d3cd96f05c3d3b2c297e2eee82d4a4d4e0e98e
Author: NHOrus <jy6x2b32pie9 <AT> yahoo <DOT> com>
AuthorDate: Fri Feb 14 15:41:11 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 15 15:57:59 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8d3cd96
media-libs/libggimisc: update EAPI 7 -> 8, fix impl. decls in configure
Autoreconf with removal of acinclude.m4
Closes: https://bugs.gentoo.org/899820
Signed-off-by: NHOrus <jy6x2b32pie9 <AT> yahoo.com>
Closes: https://github.com/gentoo/gentoo/pull/40571
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/libggimisc/libggimisc-2.2.2-r2.ebuild | 44 ++++++++++++++++++++++++
1 file changed, 44 insertions(+)
diff --git a/media-libs/libggimisc/libggimisc-2.2.2-r2.ebuild b/media-libs/libggimisc/libggimisc-2.2.2-r2.ebuild
new file mode 100644
index 000000000000..61fa468d3272
--- /dev/null
+++ b/media-libs/libggimisc/libggimisc-2.2.2-r2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Adds support for some special graphical target features"
+HOMEPAGE="https://ibiblio.org/ggicore/packages/libggimisc.html"
+SRC_URI="https://downloads.sourceforge.net/ggi/${P}.src.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="fbcon svga"
+
+RDEPEND=">=media-libs/libggi-2.2.2
+ svga? ( media-libs/svgalib )"
+DEPEND="${RDEPEND}"
+
+DOCS=( ChangeLog README TODO doc/ggimisc.txt doc/libggimisc{,-functions,-libraries}.txt
+ doc/retrace.txt )
+
+src_prepare() {
+ default
+
+ rm -f acinclude.m4 || die
+ eautoreconf
+}
+
+src_configure() {
+ econf --disable-x --without-x \
+ $(use_enable svga svgalib) \
+ $(use_enable fbcon fbdev)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ elog "X extension for ${PN} has been temporarily disabled for this release."
+}
next reply other threads:[~2025-02-15 15:58 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-02-15 15:58 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-03-18 7:50 [gentoo-commits] repo/gentoo:master commit in: media-libs/libggimisc/ Patrice Clement
2019-02-17 9:32 Mikle Kolyada
2018-10-07 14:02 Andreas Sturmlechner
2018-10-07 14:02 Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1739635079.a8d3cd96f05c3d3b2c297e2eee82d4a4d4e0e98e.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox